#include <Klient.h>
#include <Thread.h>
#include <Text.h>

using namespace Network;
using namespace Framework;

class ErhaltungKlient : public Thread
{
private:
	Klient *klient;
	int klientId;
	bool abmel;
	bool trenn;
	int ref;

public:
	// Konstruktor
	ErhaltungKlient( int klientId );
	// Destruktor
	~ErhaltungKlient();
	// nicht constant
	void verbinden( int mSP, Text *zMSIp, char *netwSchlüssel, char netwSchlüsselLän );
	void abmelden();
	void trennen();
	virtual void thread();
	// constant

	// Reference Counting
	ErhaltungKlient *getThis();
	ErhaltungKlient *release();
};